High Low Chart in JavaScript Charts

18 Nov 201824 minutes to read

Hilo

To render a hilo series in your chart, you need to follow a few steps to configure it correctly. Here’s a concise guide on how to do this:

  • Set the series type: Define the series type as Hilo in your chart configuration. This indicates that the data should be represented as a hilo chart, which shows the high and low values for each data point, illustrating price movements in stocks and providing a clear visualization of price ranges.

  • Provide high and low values: The Hilo series requires two y-values for each data point, you need to specify both the high and low values. The high value represents the maximum price, while the low value represents the minimum price of the stock.

var chartData = [
    { x: 'Jan', low: 87, high: 200 }, { x: 'Feb', low: 45, high: 135 },
    { x: 'Mar', low: 19, high: 85 },  { x: 'Apr', low: 31, high: 108 },
    { x: 'May', low: 27, high: 80 },  { x: 'Jun', low: 84, high: 130 },
    { x: 'Jul', low: 77, high: 150 }, { x: 'Aug', low: 54, high: 125 },
    { x: 'Sep', low: 60, high: 155 }, { x: 'Oct', low: 60, high: 180 },
    { x: 'Nov', low: 88, high: 180 }, { x: 'Dec', low: 84, high: 230 }
];
var chart = new ej.charts.Chart({
    primaryXAxis: {
        valueType: 'Category',
        title: 'Months'
    },
    primaryYAxis:
    {
        labelFormat: '{value}mm',
        edgeLabelPlacement: 'Shift',
        title: 'Rainfall'
    },
    series: [
        {
            dataSource: chartData,
            xName: 'x', high: 'high', low: 'low',
            //Series type as Hilo
            type: 'Hilo'
        }
    ],
    title: 'Maximum and Minimum Rainfall'
}, '#element');
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/34.1.29/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    <div id="container">
        <div id="element"></div>
    </div>
    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

Binding data with series

You can bind data to the chart using the dataSource property within the series configuration. This allows you to connect a JSON dataset or remote data to your chart. To display the data correctly, map the fields from the data to the chart series xName, high, and low properties.

var chartData = [
    { x: 'Jan', low: 87, high: 200 }, { x: 'Feb', low: 45, high: 135 },
    { x: 'Mar', low: 19, high: 85 },  { x: 'Apr', low: 31, high: 108 },
    { x: 'May', low: 27, high: 80 },  { x: 'Jun', low: 84, high: 130 },
    { x: 'Jul', low: 77, high: 150 }, { x: 'Aug', low: 54, high: 125 },
    { x: 'Sep', low: 60, high: 155 }, { x: 'Oct', low: 60, high: 180 },
    { x: 'Nov', low: 88, high: 180 }, { x: 'Dec', low: 84, high: 230 }
];
var chart = new ej.charts.Chart({
    primaryXAxis: {
        valueType: 'Category',
        title: 'Months'
    },
    primaryYAxis:
    {
        labelFormat: '{value}mm',
        edgeLabelPlacement: 'Shift',
        title: 'Rainfall'
    },
    series: [
        {
            dataSource: chartData,
            xName: 'x', high: 'high', low: 'low',
            //Series type as Hilo
            type: 'Hilo'
        }
    ],
    title: 'Maximum and Minimum Rainfall'
}, '#element');
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/34.1.29/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    <div id="container">
        <div id="element"></div>
    </div>
    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

Series customization

The following properties can be used to customize the hilo series.

Fill

The fill property determines the color applied to the series.

var chartData = [
    { x: 'Jan', low: 87, high: 200 }, { x: 'Feb', low: 45, high: 135 },
    { x: 'Mar', low: 19, high: 85 },  { x: 'Apr', low: 31, high: 108 },
    { x: 'May', low: 27, high: 80 },  { x: 'Jun', low: 84, high: 130 },
    { x: 'Jul', low: 77, high: 150 }, { x: 'Aug', low: 54, high: 125 },
    { x: 'Sep', low: 60, high: 155 }, { x: 'Oct', low: 60, high: 180 },
    { x: 'Nov', low: 88, high: 180 }, { x: 'Dec', low: 84, high: 230 }
];
var chart = new ej.charts.Chart({
    primaryXAxis: {
        valueType: 'Category',
        title: 'Months'
    },
    primaryYAxis:
    {
        labelFormat: '{value}mm',
        edgeLabelPlacement: 'Shift',
        title: 'Rainfall'
    },
    series: [
        {
            dataSource: chartData,
            xName: 'x', high: 'high', low: 'low',
            type: 'Hilo', fill: 'blue'
        }
    ],
    title: 'Maximum and Minimum Rainfall'
}, '#element');
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/34.1.29/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    <div id="container">
        <div id="element"></div>
    </div>
    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

The fill property can be used to apply a gradient color to the hilo series. By configuring this property with gradient values, you can create a visually appealing effect in which the color transitions smoothly from one shade to another.

var chartData = [
    { x: 'Jan', low: 87, high: 200 }, { x: 'Feb', low: 45, high: 135 },
    { x: 'Mar', low: 19, high: 85 },  { x: 'Apr', low: 31, high: 108 },
    { x: 'May', low: 27, high: 80 },  { x: 'Jun', low: 84, high: 130 },
    { x: 'Jul', low: 77, high: 150 }, { x: 'Aug', low: 54, high: 125 },
    { x: 'Sep', low: 60, high: 155 }, { x: 'Oct', low: 60, high: 180 },
    { x: 'Nov', low: 88, high: 180 }, { x: 'Dec', low: 84, high: 230 }
];
var chart = new ej.charts.Chart({
    primaryXAxis: {
        valueType: 'Category',
        title: 'Months'
    },
    primaryYAxis:
    {
        labelFormat: '{value}mm',
        edgeLabelPlacement: 'Shift',
        title: 'Rainfall'
    },
    series: [
        {
            dataSource: chartData,
            xName: 'x', high: 'high', low: 'low',
            type: 'Hilo', fill: 'url(#gradient)'
        }
    ],
    title: 'Maximum and Minimum Rainfall'
}, '#element');
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/34.1.29/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    <div id="container">
        <div id="element"></div>
    </div>
    <svg style="width:1px; height:1px">
        <defs>
            <linearGradient id="gradient">
                <stop offset="0%" style="stop-color:blue;stop-opacity:5" />
                <stop offset="50%" style="stop-color:violet;stop-opacity:5" />
            </linearGradient>
        </defs>
    </svg>
    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

Opacity

The opacity property controls the transparency of the fill and affects how the series blends with background or overlapping series.

var chartData = [
    { x: 'Jan', low: 87, high: 200 }, { x: 'Feb', low: 45, high: 135 },
    { x: 'Mar', low: 19, high: 85 },  { x: 'Apr', low: 31, high: 108 },
    { x: 'May', low: 27, high: 80 },  { x: 'Jun', low: 84, high: 130 },
    { x: 'Jul', low: 77, high: 150 }, { x: 'Aug', low: 54, high: 125 },
    { x: 'Sep', low: 60, high: 155 }, { x: 'Oct', low: 60, high: 180 },
    { x: 'Nov', low: 88, high: 180 }, { x: 'Dec', low: 84, high: 230 }
];
var chart = new ej.charts.Chart({
    primaryXAxis: {
        valueType: 'Category',
        title: 'Months'
    },
    primaryYAxis:
    {
        labelFormat: '{value}mm',
        edgeLabelPlacement: 'Shift',
        title: 'Rainfall'
    },
    series: [
        {
            dataSource: chartData,
            xName: 'x', high: 'high', low: 'low',
            type: 'Hilo', opacity: 0.5
        }
    ],
    title: 'Maximum and Minimum Rainfall'
}, '#element');
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/34.1.29/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    <div id="container">
        <div id="element"></div>
    </div>
    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

Empty points

Data points with null or undefined values are considered empty. Empty data points are ignored and not plotted on the chart.

Mode

Use the mode property to control handling of empty points. Available modes: Gap, Drop, Zero, Average. The default mode is Gap.

var chartData = [
    { x: 'Jan', low: 87, high: 200 },  { x: 'Feb', low: 45, high: 135 },
    { x: 'Mar', low: 19, high: null }, { x: 'Apr', low: 31, high: 108 },
    { x: 'May', low: 27, high: 80 },   { x: 'Jun', low: 84, high: 130 },
    { x: 'Jul', low: 77, high: 150 },  { x: 'Aug', low: 54, high: undefined },
    { x: 'Sep', low: 60, high: 155 },  { x: 'Oct', low: 60, high: 180 },
    { x: 'Nov', low: 88, high: 180 },  { x: 'Dec', low: 84, high: 230 }
];
var chart = new ej.charts.Chart({
    primaryXAxis: {
        valueType: 'Category',
        title: 'Months'
    },
    primaryYAxis:
    {
        labelFormat: '{value}mm',
        edgeLabelPlacement: 'Shift',
        title: 'Rainfall'
    },
    series: [
        {
            dataSource: chartData,
            xName: 'x', high: 'high', 
            low: 'low',
            type: 'Hilo',
            emptyPointSettings: {
                mode: 'Average'
            }
        }
    ],
    title: 'Maximum and Minimum Rainfall'
}, '#element');
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/34.1.29/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    <div id="container">
        <div id="element"></div>
    </div>
    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

Fill

Use the fill property to set the fill color for empty points.

var chartData = [
    { x: 'Jan', low: 87, high: 200 },  { x: 'Feb', low: 45, high: 135 },
    { x: 'Mar', low: 19, high: null }, { x: 'Apr', low: 31, high: 108 },
    { x: 'May', low: 27, high: 80 },   { x: 'Jun', low: 84, high: 130 },
    { x: 'Jul', low: 77, high: 150 },  { x: 'Aug', low: 54, high: undefined },
    { x: 'Sep', low: 60, high: 155 },  { x: 'Oct', low: 60, high: 180 },
    { x: 'Nov', low: 88, high: 180 },  { x: 'Dec', low: 84, high: 230 }
];
var chart = new ej.charts.Chart({
    primaryXAxis: {
        valueType: 'Category',
        title: 'Months'
    },
    primaryYAxis:
    {
        labelFormat: '{value}mm',
        edgeLabelPlacement: 'Shift',
        title: 'Rainfall'
    },
    series: [
        {
            dataSource: chartData,
            xName: 'x', high: 'high', 
            low: 'low',
            type: 'Hilo',
            emptyPointSettings: {
                mode: 'Average',
                fill: 'red'
            }
        }
    ],
    title: 'Maximum and Minimum Rainfall'
}, '#element');
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/34.1.29/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    <div id="container">
        <div id="element"></div>
    </div>
    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

Events

Series render

The seriesRender event enables modification of series properties (for example, data, fill, or name) immediately before rendering. Use this event to adjust series appearance or to dynamically swap data sources.

var chartData = [
    { x: 'Jan', low: 87, high: 200 }, { x: 'Feb', low: 45, high: 135 },
    { x: 'Mar', low: 19, high: 85 },  { x: 'Apr', low: 31, high: 108 },
    { x: 'May', low: 27, high: 80 },  { x: 'Jun', low: 84, high: 130 },
    { x: 'Jul', low: 77, high: 150 }, { x: 'Aug', low: 54, high: 125 },
    { x: 'Sep', low: 60, high: 155 }, { x: 'Oct', low: 60, high: 180 },
    { x: 'Nov', low: 88, high: 180 }, { x: 'Dec', low: 84, high: 230 }
];
var chart = new ej.charts.Chart({
    primaryXAxis: {
        valueType: 'Category',
        title: 'Months'
    },
    primaryYAxis:
    {
        labelFormat: '{value}mm',
        edgeLabelPlacement: 'Shift',
        title: 'Rainfall'
    },
    series: [
        {
            dataSource: chartData,
            xName: 'x', high: 'high', low: 'low',
            //Series type as Hilo
            type: 'Hilo'
        }
    ],
    title: 'Maximum and Minimum Rainfall',
    seriesRender: function (args) {
        args.fill = '#ff6347';
    }
}, '#element');
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/34.1.29/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    <div id="container">
        <div id="element"></div>
    </div>
    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

Point render

The pointRender event provides a hook to customize each data point (for example, marker shape, border, or fill) before it is drawn. Use this to apply per-point styling rules or conditional formatting.

var chartData = [
    { x: 'Jan', low: 87, high: 200 }, { x: 'Feb', low: 45, high: 135 },
    { x: 'Mar', low: 19, high: 85 },  { x: 'Apr', low: 31, high: 108 },
    { x: 'May', low: 27, high: 80 },  { x: 'Jun', low: 84, high: 130 },
    { x: 'Jul', low: 77, high: 150 }, { x: 'Aug', low: 54, high: 125 },
    { x: 'Sep', low: 60, high: 155 }, { x: 'Oct', low: 60, high: 180 },
    { x: 'Nov', low: 88, high: 180 }, { x: 'Dec', low: 84, high: 230 }
];
var chart = new ej.charts.Chart({
    primaryXAxis: {
        valueType: 'Category',
        title: 'Months'
    },
    primaryYAxis:
    {
        labelFormat: '{value}mm',
        edgeLabelPlacement: 'Shift',
        title: 'Rainfall'
    },
    series: [
        {
            dataSource: chartData,
            xName: 'x', high: 'high', low: 'low',
            //Series type as Hilo
            type: 'Hilo'
        }
    ],
    title: 'Maximum and Minimum Rainfall',
    pointRender: function (args) {
        if (args.point.index % 2 !== 0) {
            args.fill = '#ff6347';
        }
        else {
            args.fill = '#009cb8';
        }
    }
}, '#element');
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/34.1.29/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    <div id="container">
        <div id="element"></div>
    </div>
    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

See also

High Low Chart in React Charts

High Low

The Hilo series is used to visualize the high and low values for each data point, often illustrating price movements.

To render a Hilo series in your chart, follow these steps:

  1. Set the series type: Define the series type as Hilo in your chart configuration. This indicates that the data should be represented as a hilo chart, which shows the high and low values for each data point, illustrating price movements in stocks and providing a clear visualization of price ranges.

  2. Inject the HiloSeries module: Inject HiloSeries module into the services. This step is essential, as it ensures that the necessary functionalities for rendering hilo series are available in your chart.

  3. Provide high and low values: The Hilo series requires two y-values for each data point. Specify both the high and low values on the data record — high represents the maximum value and low represents the minimum value.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, HiloSeries, Category, Tooltip, Zoom, Crosshair } from '@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
    const primaryxAxis = { valueType: 'Category', title: 'Months' };
    const primaryyAxis = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
    const style = { textAlign: "center" };
    const legendSettings = { visible: false };
    return <ChartComponent id='charts' style={style} primaryXAxis={primaryxAxis} primaryYAxis={primaryyAxis} legendSettings={legendSettings} title='Maximum and Minimum Rainfall'>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]}/>
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low' high='high'>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>;
}
;
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AxisModel, ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, LegendSettingsModel,
    HiloSeries, Category, Tooltip, Zoom, Crosshair }
from '@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
  const primaryxAxis: AxisModel = { valueType: 'Category', title: 'Months' };
  const primaryyAxis: AxisModel = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
  const style: any = { textAlign: "center" };
  const legendSettings: LegendSettingsModel = { visible: false };

  return <ChartComponent id='charts' style={style}
      primaryXAxis={primaryxAxis}
      primaryYAxis={primaryyAxis}
      legendSettings={legendSettings}
      title='Maximum and Minimum Rainfall'>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]} />
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low'
          high='high'>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>

};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
export let chartData = [
    { x: 'Jan',  low: 87, high: 200 }, { x: 'Feb',  low: 45, high: 135 },
    { x: 'Mar',  low: 19, high: 85 },  { x: 'Apr',  low: 31, high: 108 },
    { x: 'May',  low: 27, high: 80 },  { x: 'June', low: 84, high: 130 },
    { x: 'July', low: 77, high: 150 }, { x: 'Aug',  low: 54, high: 125 },
    { x: 'Sep',  low: 60, high: 155 }, { x: 'Oct',  low: 60, high: 180 },
    { x: 'Nov',  low: 88, high: 180 }, { x: 'Dec',  low: 84, high: 230 }
];
export let chartData: Object[] = [
    { x: 'Jan',  low: 87, high: 200 }, { x: 'Feb',  low: 45, high: 135 },
    { x: 'Mar',  low: 19, high: 85 },  { x: 'Apr',  low: 31, high: 108 },
    { x: 'May',  low: 27, high: 80 },  { x: 'June', low: 84, high: 130 },
    { x: 'July', low: 77, high: 150 }, { x: 'Aug',  low: 54, high: 125 },
    { x: 'Sep',  low: 60, high: 155 }, { x: 'Oct',  low: 60, high: 180 },
    { x: 'Nov',  low: 88, high: 180 }, { x: 'Dec',  low: 84, high: 230 }
];

Binding data with series

You can bind data to the chart using the dataSource property within the series configuration. This allows you to connect a JSON dataset or remote data to your chart. To display the data correctly, map the fields from the data to the chart series xName, high, and low properties.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, HiloSeries, Category, Tooltip, Zoom, Crosshair } from '@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
    const primaryxAxis = { valueType: 'Category', title: 'Months' };
    const primaryyAxis = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
    const style = { textAlign: "center" };
    const legendSettings = { visible: false };
    return <ChartComponent id='charts' style={style} primaryXAxis={primaryxAxis} primaryYAxis={primaryyAxis} legendSettings={legendSettings} title='Maximum and Minimum Rainfall'>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]}/>
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low' high='high'>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>;
}
;
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AxisModel, ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, LegendSettingsModel,
    HiloSeries, Category, Tooltip, Zoom, Crosshair }
from '@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
  const primaryxAxis: AxisModel = { valueType: 'Category', title: 'Months' };
  const primaryyAxis: AxisModel = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
  const style: any = { textAlign: "center" };
  const legendSettings: LegendSettingsModel = { visible: false };

  return <ChartComponent id='charts' style={style}
      primaryXAxis={primaryxAxis}
      primaryYAxis={primaryyAxis}
      legendSettings={legendSettings}
      title='Maximum and Minimum Rainfall'>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]} />
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low'
          high='high'>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>

};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
export let chartData = [
    { x: 'Jan',  low: 87, high: 200 }, { x: 'Feb',  low: 45, high: 135 },
    { x: 'Mar',  low: 19, high: 85 },  { x: 'Apr',  low: 31, high: 108 },
    { x: 'May',  low: 27, high: 80 },  { x: 'June', low: 84, high: 130 },
    { x: 'July', low: 77, high: 150 }, { x: 'Aug',  low: 54, high: 125 },
    { x: 'Sep',  low: 60, high: 155 }, { x: 'Oct',  low: 60, high: 180 },
    { x: 'Nov',  low: 88, high: 180 }, { x: 'Dec',  low: 84, high: 230 }
];
export let chartData: Object[] = [
    { x: 'Jan',  low: 87, high: 200 }, { x: 'Feb',  low: 45, high: 135 },
    { x: 'Mar',  low: 19, high: 85 },  { x: 'Apr',  low: 31, high: 108 },
    { x: 'May',  low: 27, high: 80 },  { x: 'June', low: 84, high: 130 },
    { x: 'July', low: 77, high: 150 }, { x: 'Aug',  low: 54, high: 125 },
    { x: 'Sep',  low: 60, high: 155 }, { x: 'Oct',  low: 60, high: 180 },
    { x: 'Nov',  low: 88, high: 180 }, { x: 'Dec',  low: 84, high: 230 }
];

Series customization

The following properties can be used to customize the Hilo series.

Solid fill

The fill property determines the color applied to the series, for example:

<SeriesDirective fill="red" />
import * as React from "react";
import * as ReactDOM from "react-dom";
import { ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, HiloSeries, Category, Tooltip, Zoom, Crosshair } from '@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
    const primaryxAxis = { valueType: 'Category', title: 'Months' };
    const primaryyAxis = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
    const style = { textAlign: "center" };
    const legendSettings = { visible: false };
    return <ChartComponent id='charts' style={style} primaryXAxis={primaryxAxis} primaryYAxis={primaryyAxis} legendSettings={legendSettings} title='Maximum and Minimum Rainfall'>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]}/>
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low' high='high' fill='blue'>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>;
}
;
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AxisModel, ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject,LegendSettingsModel,
    HiloSeries, Category, Tooltip, ILoadedEventArgs, Zoom,
    Crosshair, ChartTheme }
from'@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
  const primaryxAxis: AxisModel = { valueType: 'Category', title: 'Months' };
  const primaryyAxis: AxisModel = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
  const style: any = { textAlign: "center" };
  const legendSettings: LegendSettingsModel = { visible: false };

  return <ChartComponent id='charts' style={style}
      primaryXAxis={primaryxAxis}
      primaryYAxis={primaryyAxis}
      legendSettings={legendSettings}
      title='Maximum and Minimum Rainfall'>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]} />
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low'
          high='high' fill='blue'>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>

};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
export let chartData = [
    { x: 'Jan',  low: 87, high: 200 }, { x: 'Feb',  low: 45, high: 135 },
    { x: 'Mar',  low: 19, high: 85 },  { x: 'Apr',  low: 31, high: 108 },
    { x: 'May',  low: 27, high: 80 },  { x: 'June', low: 84, high: 130 },
    { x: 'July', low: 77, high: 150 }, { x: 'Aug',  low: 54, high: 125 },
    { x: 'Sep',  low: 60, high: 155 }, { x: 'Oct',  low: 60, high: 180 },
    { x: 'Nov',  low: 88, high: 180 }, { x: 'Dec',  low: 84, high: 230 }
];
export let chartData: Object[] = [
    { x: 'Jan',  low: 87, high: 200 }, { x: 'Feb',  low: 45, high: 135 },
    { x: 'Mar',  low: 19, high: 85 },  { x: 'Apr',  low: 31, high: 108 },
    { x: 'May',  low: 27, high: 80 },  { x: 'June', low: 84, high: 130 },
    { x: 'July', low: 77, high: 150 }, { x: 'Aug',  low: 54, high: 125 },
    { x: 'Sep',  low: 60, high: 155 }, { x: 'Oct',  low: 60, high: 180 },
    { x: 'Nov',  low: 88, high: 180 }, { x: 'Dec',  low: 84, high: 230 }
];

Gradient fill

The fill property can also apply a gradient color across the series (e.g., url(#gradient) referencing an SVG gradient defined elsewhere in the component).

import * as React from "react";
import * as ReactDOM from "react-dom";
import { ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, HiloSeries, Category, Tooltip, Zoom, Crosshair } from '@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
    const primaryxAxis = { valueType: 'Category', title: 'Months' };
    const primaryyAxis = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
    const style = { textAlign: "center" };
    const legendSettings = { visible: false };
    return <ChartComponent id='charts' style={style} primaryXAxis={primaryxAxis} primaryYAxis={primaryyAxis} legendSettings={legendSettings} title='Maximum and Minimum Rainfall'>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]}/>
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low' high='high' fill='url(#gradient)'>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>;
}
;
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AxisModel, ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject,LegendSettingsModel,
    HiloSeries, Category, Tooltip, ILoadedEventArgs, Zoom,
    Crosshair, ChartTheme }
from'@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
  const primaryxAxis: AxisModel = { valueType: 'Category', title: 'Months' };
  const primaryyAxis: AxisModel = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
  const style: any = { textAlign: "center" };
  const legendSettings: LegendSettingsModel = { visible: false };

  return <ChartComponent id='charts' style={style}
      primaryXAxis={primaryxAxis}
      primaryYAxis={primaryyAxis}
      legendSettings={legendSettings}
      title='Maximum and Minimum Rainfall'>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]} />
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low'
          high='high' fill='url(#gradient)'>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>

};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
export let chartData = [
    { x: 'Jan',  low: 87, high: 200 }, { x: 'Feb',  low: 45, high: 135 },
    { x: 'Mar',  low: 19, high: 85 },  { x: 'Apr',  low: 31, high: 108 },
    { x: 'May',  low: 27, high: 80 },  { x: 'June', low: 84, high: 130 },
    { x: 'July', low: 77, high: 150 }, { x: 'Aug',  low: 54, high: 125 },
    { x: 'Sep',  low: 60, high: 155 }, { x: 'Oct',  low: 60, high: 180 },
    { x: 'Nov',  low: 88, high: 180 }, { x: 'Dec',  low: 84, high: 230 }
];
export let chartData: Object[] = [
    { x: 'Jan',  low: 87, high: 200 }, { x: 'Feb',  low: 45, high: 135 },
    { x: 'Mar',  low: 19, high: 85 },  { x: 'Apr',  low: 31, high: 108 },
    { x: 'May',  low: 27, high: 80 },  { x: 'June', low: 84, high: 130 },
    { x: 'July', low: 77, high: 150 }, { x: 'Aug',  low: 54, high: 125 },
    { x: 'Sep',  low: 60, high: 155 }, { x: 'Oct',  low: 60, high: 180 },
    { x: 'Nov',  low: 88, high: 180 }, { x: 'Dec',  low: 84, high: 230 }
];

Opacity

The opacity property controls the transparency of the fill and affects how the series blends with background or overlapping series.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, HiloSeries, Category, Tooltip, Zoom, Crosshair } from '@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
    const primaryxAxis = { valueType: 'Category', title: 'Months' };
    const primaryyAxis = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
    const style = { textAlign: "center" };
    const legendSettings = { visible: false };
    return <ChartComponent id='charts' style={style} primaryXAxis={primaryxAxis} primaryYAxis={primaryyAxis} legendSettings={legendSettings} title='Maximum and Minimum Rainfall'>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]}/>
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low' high='high' opacity={0.3}>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>;
}
;
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AxisModel, ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject,LegendSettingsModel,
    HiloSeries, Category, Tooltip, ILoadedEventArgs, Zoom,
    Crosshair, ChartTheme }
from'@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
  const primaryxAxis: AxisModel = { valueType: 'Category', title: 'Months' };
  const primaryyAxis: AxisModel = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
  const style: any = { textAlign: "center" };
  const legendSettings: LegendSettingsModel = { visible: false };

  return <ChartComponent id='charts' style={style}
      primaryXAxis={primaryxAxis}
      primaryYAxis={primaryyAxis}
      legendSettings={legendSettings}
      title='Maximum and Minimum Rainfall'>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]} />
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low'
          high='high' opacity={0.3}>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>

};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
export let chartData = [
    { x: 'Jan',  low: 87, high: 200 }, { x: 'Feb',  low: 45, high: 135 },
    { x: 'Mar',  low: 19, high: 85 },  { x: 'Apr',  low: 31, high: 108 },
    { x: 'May',  low: 27, high: 80 },  { x: 'June', low: 84, high: 130 },
    { x: 'July', low: 77, high: 150 }, { x: 'Aug',  low: 54, high: 125 },
    { x: 'Sep',  low: 60, high: 155 }, { x: 'Oct',  low: 60, high: 180 },
    { x: 'Nov',  low: 88, high: 180 }, { x: 'Dec',  low: 84, high: 230 }
];
export let chartData: Object[] = [
    { x: 'Jan',  low: 87, high: 200 }, { x: 'Feb',  low: 45, high: 135 },
    { x: 'Mar',  low: 19, high: 85 },  { x: 'Apr',  low: 31, high: 108 },
    { x: 'May',  low: 27, high: 80 },  { x: 'June', low: 84, high: 130 },
    { x: 'July', low: 77, high: 150 }, { x: 'Aug',  low: 54, high: 125 },
    { x: 'Sep',  low: 60, high: 155 }, { x: 'Oct',  low: 60, high: 180 },
    { x: 'Nov',  low: 88, high: 180 }, { x: 'Dec',  low: 84, high: 230 }
];

Empty points

A Hilo data point is considered empty when either its high or low value is null, undefined, or NaN. By default (Gap mode) the empty point is skipped and leaves a gap on the chart; the mode and fill properties of emptyPointSettings let you override this behavior.

Mode

Use the mode property to control handling of empty points. Available modes are Gap (leave a break, the default), Drop (ignores the empty point during rendering), Zero (plot as zero), and Average (plot as the average of neighboring points).

import * as React from "react";
import * as ReactDOM from "react-dom";
import { ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, HiloSeries, Category, Tooltip, Zoom, Crosshair } from '@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
    const primaryxAxis = { valueType: 'Category', title: 'Months' };
    const primaryyAxis = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
    const style = { textAlign: "center" };
    const legendSettings = { visible: false };
    const emptyPoint = { mode: 'Gap' };
    return <ChartComponent id='charts' style={style} primaryXAxis={primaryxAxis} primaryYAxis={primaryyAxis} legendSettings={legendSettings} title='Maximum and Minimum Rainfall'>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]}/>
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low' high='high' emptyPointSettings={emptyPoint}>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>;
}
;
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AxisModel, ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject,LegendSettingsModel,
    HiloSeries, Category, Tooltip, ILoadedEventArgs, Zoom,
    Crosshair, ChartTheme }
from'@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
  const primaryxAxis: AxisModel = { valueType: 'Category', title: 'Months' };
  const primaryyAxis: AxisModel = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
  const style: any = { textAlign: "center" };
  const legendSettings: LegendSettingsModel = { visible: false };
  const emptyPoint: object = { mode: 'Gap' };
  return <ChartComponent id='charts' style={style}
      primaryXAxis={primaryxAxis}
      primaryYAxis={primaryyAxis}
      legendSettings={legendSettings}
      title='Maximum and Minimum Rainfall'>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]} />
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low'
          high='high' emptyPointSettings={emptyPoint}>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>

};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
export let chartData = [
    { x: 'Jan', low: 87, high: 200 },  { x: 'Feb', low: 45, high: 135 },
  { x: 'Mar', low: 19, high: null },   { x: 'Apr', low: 31, high: 108 },
  { x: 'May', low: 27, high: 80 },   { x: 'Jun', low: 84, high: 130 },
  { x: 'Jul', low: 77, high: 150 },  { x: 'Aug', low: 54, high: undefined },
  { x: 'Sep', low: 60, high: 155 },  { x: 'Oct', low: 60, high: 180 },
  { x: 'Nov', low: 88, high: 180 },  { x: 'Dec', low: 84, high: 230 }
];
export let chartData: Object[] = [
    { x: 'Jan', low: 87, high: 200 },  { x: 'Feb', low: 45, high: 135 },
    { x: 'Mar', low: 19, high: null },   { x: 'Apr', low: 31, high: 108 },
    { x: 'May', low: 27, high: 80 },   { x: 'Jun', low: 84, high: 130 },
    { x: 'Jul', low: 77, high: 150 },  { x: 'Aug', low: 54, high: undefined },
    { x: 'Sep', low: 60, high: 155 },  { x: 'Oct', low: 60, high: 180 },
    { x: 'Nov', low: 88, high: 180 },  { x: 'Dec', low: 84, high: 230 }
];

Fill

Use the fill property to set the fill color for empty points.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, HiloSeries, Category, Tooltip, Zoom, Crosshair } from '@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
    const primaryxAxis = { valueType: 'Category', title: 'Months' };
    const primaryyAxis = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
    const style = { textAlign: "center" };
    const legendSettings = { visible: false };
    const emptyPoint = { mode: 'Average', fill: 'red' };
    return <ChartComponent id='charts' style={style} primaryXAxis={primaryxAxis} primaryYAxis={primaryyAxis} legendSettings={legendSettings} title='Maximum and Minimum Rainfall'>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]}/>
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low' high='high' emptyPointSettings={emptyPoint}>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>;
}
;
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AxisModel, ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject,LegendSettingsModel,
    HiloSeries, Category, Tooltip, ILoadedEventArgs, Zoom,
    Crosshair, ChartTheme }
from'@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
  const primaryxAxis: AxisModel = { valueType: 'Category', title: 'Months' };
  const primaryyAxis: AxisModel = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
  const style: any = { textAlign: "center" };
  const legendSettings: LegendSettingsModel = { visible: false };
  const emptyPoint: object = { mode: 'Average', fill: 'red' };
  return <ChartComponent id='charts' style={style}
      primaryXAxis={primaryxAxis}
      primaryYAxis={primaryyAxis}
      legendSettings={legendSettings}
      title='Maximum and Minimum Rainfall'>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]} />
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low'
          high='high' emptyPointSettings={emptyPoint}>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>

};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
export let chartData = [
    { x: 'Jan', low: 87, high: 200 },  { x: 'Feb', low: 45, high: 135 },
  { x: 'Mar', low: 19, high: null },   { x: 'Apr', low: 31, high: 108 },
  { x: 'May', low: 27, high: 80 },   { x: 'Jun', low: 84, high: 130 },
  { x: 'Jul', low: 77, high: 150 },  { x: 'Aug', low: 54, high: undefined },
  { x: 'Sep', low: 60, high: 155 },  { x: 'Oct', low: 60, high: 180 },
  { x: 'Nov', low: 88, high: 180 },  { x: 'Dec', low: 84, high: 230 }
];
export let chartData: Object[] = [
    { x: 'Jan', low: 87, high: 200 },  { x: 'Feb', low: 45, high: 135 },
    { x: 'Mar', low: 19, high: null },   { x: 'Apr', low: 31, high: 108 },
    { x: 'May', low: 27, high: 80 },   { x: 'Jun', low: 84, high: 130 },
    { x: 'Jul', low: 77, high: 150 },  { x: 'Aug', low: 54, high: undefined },
    { x: 'Sep', low: 60, high: 155 },  { x: 'Oct', low: 60, high: 180 },
    { x: 'Nov', low: 88, high: 180 },  { x: 'Dec', low: 84, high: 230 }
];

Events

Series render

The seriesRender event enables modification of series properties (for example, data, fill, or name) immediately before rendering. Use this event to adjust series appearance or to dynamically swap data sources.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, HiloSeries, Category, Tooltip, Zoom, Crosshair } from '@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
    const primaryxAxis = { valueType: 'Category', title: 'Months' };
    const primaryyAxis = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
    const style = { textAlign: "center" };
    const legendSettings = { visible: false };
    const seriesRender = (args) => {
      args.fill = '#ff6347';
    };
    return <ChartComponent id='charts' style={style} primaryXAxis={primaryxAxis} primaryYAxis={primaryyAxis} legendSettings={legendSettings} title='Maximum and Minimum Rainfall' seriesRender={seriesRender}>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]}/>
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low' high='high'>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>;
}
;
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AxisModel, ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject,LegendSettingsModel,
    HiloSeries, Category, Tooltip, ILoadedEventArgs, Zoom, ISeriesRenderEventArgs,
    Crosshair, ChartTheme }
from'@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
  const primaryxAxis: AxisModel = { valueType: 'Category', title: 'Months' };
  const primaryyAxis: AxisModel = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
  const style: any = { textAlign: "center" };
  const legendSettings: LegendSettingsModel = { visible: false };
  const seriesRender = (args: ISeriesRenderEventArgs) => {
    args.fill = '#ff6347';
}
  return <ChartComponent id='charts' style={style}
      primaryXAxis={primaryxAxis}
      primaryYAxis={primaryyAxis}
      legendSettings={legendSettings}
      title='Maximum and Minimum Rainfall'
      seriesRender={seriesRender}>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]} />
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low'
          high='high'>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>

};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
export let chartData = [
  { x: 'Jan', low: 87, high: 200 },  { x: 'Feb', low: 45, high: 135 },
  { x: 'Mar', low: 19, high: 85 },   { x: 'Apr', low: 31, high: 108 },
  { x: 'May', low: 27, high: 80 },   { x: 'Jun', low: 84, high: 130 },
  { x: 'Jul', low: 77, high: 150 },  { x: 'Aug', low: 54, high: 125 },
  { x: 'Sep', low: 60, high: 155 },  { x: 'Oct', low: 60, high: 180 },
  { x: 'Nov', low: 88, high: 180 },  { x: 'Dec', low: 84, high: 230 }
];
export let chartData: Object[] = [
    { x: 'Jan', low: 87, high: 200 },  { x: 'Feb', low: 45, high: 135 },
    { x: 'Mar', low: 19, high: 85 },   { x: 'Apr', low: 31, high: 108 },
    { x: 'May', low: 27, high: 80 },   { x: 'Jun', low: 84, high: 130 },
    { x: 'Jul', low: 77, high: 150 },  { x: 'Aug', low: 54, high: 125 },
    { x: 'Sep', low: 60, high: 155 },  { x: 'Oct', low: 60, high: 180 },
    { x: 'Nov', low: 88, high: 180 },  { x: 'Dec', low: 84, high: 230 }
];

Point render

The pointRender event provides a hook to customize each data point (for example, border or fill) before it is drawn. Use this to apply per-point styling rules or conditional formatting.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, HiloSeries, Category, Tooltip, Zoom, Crosshair } from '@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
    const primaryxAxis = { valueType: 'Category', title: 'Months' };
    const primaryyAxis = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
    const style = { textAlign: "center" };
    const legendSettings = { visible: false };
    const pointRender = (args) => {
      if (args.point.index % 2 !== 0) {
        args.fill = '#ff6347';
    }
    else {
        args.fill = '#009cb8';
    }
    };
    return <ChartComponent id='charts' style={style} primaryXAxis={primaryxAxis} primaryYAxis={primaryyAxis} legendSettings={legendSettings} title='Maximum and Minimum Rainfall' pointRender={pointRender}>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]}/>
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low' high='high'>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>;
}
;
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AxisModel, ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject,LegendSettingsModel,
    HiloSeries, Category, Tooltip, ILoadedEventArgs, Zoom, IPointRenderEventArgs,
    Crosshair, ChartTheme }
from'@syncfusion/ej2-react-charts';
import { chartData } from './datasource';

function App() {
  const primaryxAxis: AxisModel = { valueType: 'Category', title: 'Months' };
  const primaryyAxis: AxisModel = { labelFormat: '{value}mm', edgeLabelPlacement: 'Shift', title: 'Rainfall' };
  const style: any = { textAlign: "center" };
  const legendSettings: LegendSettingsModel = { visible: false };
  const pointRender: Object = (args: IPointRenderEventArgs) => {
    if (args.point.index % 2 !== 0) {
      args.fill = '#ff6347';
  }
  else {
      args.fill = '#009cb8';
  }
};
  return <ChartComponent id='charts' style={style}
      primaryXAxis={primaryxAxis}
      primaryYAxis={primaryyAxis}
      legendSettings={legendSettings}
      title='Maximum and Minimum Rainfall'
      pointRender={pointRender}>
      <Inject services={[HiloSeries, Tooltip, Category, Crosshair, Zoom]} />
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={chartData} xName='x' yName='low' name='India' type='Hilo' low='low'
          high='high'>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>

};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
export let chartData = [
  { x: 'Jan', low: 87, high: 200 },  { x: 'Feb', low: 45, high: 135 },
  { x: 'Mar', low: 19, high: 85 },   { x: 'Apr', low: 31, high: 108 },
  { x: 'May', low: 27, high: 80 },   { x: 'Jun', low: 84, high: 130 },
  { x: 'Jul', low: 77, high: 150 },  { x: 'Aug', low: 54, high: 125 },
  { x: 'Sep', low: 60, high: 155 },  { x: 'Oct', low: 60, high: 180 },
  { x: 'Nov', low: 88, high: 180 },  { x: 'Dec', low: 84, high: 230 }
];
export let chartData: Object[] = [
    { x: 'Jan', low: 87, high: 200 },  { x: 'Feb', low: 45, high: 135 },
    { x: 'Mar', low: 19, high: 85 },   { x: 'Apr', low: 31, high: 108 },
    { x: 'May', low: 27, high: 80 },   { x: 'Jun', low: 84, high: 130 },
    { x: 'Jul', low: 77, high: 150 },  { x: 'Aug', low: 54, high: 125 },
    { x: 'Sep', low: 60, high: 155 },  { x: 'Oct', low: 60, high: 180 },
    { x: 'Nov', low: 88, high: 180 },  { x: 'Dec', low: 84, high: 230 }
];

See also